package org.dbms.service;

import org.dbms.dto.ClientLoginDto;
import org.dbms.dto.ClientSignupDto;
import org.dbms.exceptions.UserExistsException;
import org.dbms.models.Client;
import org.dbms.storageContracts.IClientStorage;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Objects;

@Service
public class ClientService {
    IClientStorage clientStorage;

    public ClientService(IClientStorage clientStorage) {
        this.clientStorage = clientStorage;
    }
    @Transactional
    public String signup(ClientSignupDto client) {
        if(clientStorage.getByLogin(client.getLogin()) != null) {
            throw new UserExistsException(client.getLogin());
        }

        clientStorage.insert(new Client(client.getName(), client.getPhone(), client.getLogin(), client.getPassword()));
        return clientStorage.getIdByLogin(client.getLogin());
    }
    @Transactional
    public boolean login(ClientLoginDto client) {
        Client c = clientStorage.getByLogin(client.getLogin());
        if(c == null) return false;
        if(!Objects.equals(c.getPassword(), client.getPassword())) return false;

        return true;
    }

    @Transactional
    public Client getClientByLogin(String login) {
        return clientStorage.getByLogin(login);
    }
}
